FUSER(8)

NAME
fuser - identify processes using a file or file structure

SYNOPSIS
/usr/etc/fuser [ -ku ] filename|resource [ - ] [[ -ku ] filename|resource ]

DESCRIPTION

fuser outputs the process IDs of the processes that are using the filenames or remote resources specified as arguments. Each process ID is followed by a letter code. Possible code letters and an explanation of how the process is using the file are given below:

    c   its current directory

    p   the parent of its current directory (only when the file is being used by the system)

    r   its root directory

    v   process has exec'ed or mmap'ed file

For block special devices with mounted file systems, all processes using any file on that device are listed. For remote resource names, all processes using any file associated with that remote resource are reported. fuser cannot use the mount point of the remote resource to report all processes using any file associated with that remote resource; it must use the resource name. For all other types of files (text files, executables, directories, devices, etc.) only the processes using that file are reported.

The process IDs are printed as a single line on the standard output, separated by SPACE characters and terminated with a single NEWLINE. All other output is written on standard error.

Any user with permission to read /dev/kmem and /dev/mem can use fuser.

Only the super-user can terminate another user's process

OPTIONS

If more than one group of files are specified, the options may be respecified for each additional group of files.

-   Cancel the options currently in force. The new set of options applies to the next group of files.

-k  Send SIGKILL signal to each process. Since this option spawns kills for each process, the kill messages may not show up immediately (see kill(2V)).

-u  User login name, in parentheses, also follows the process ID.

FILES
/vmunix
    system namelist
/dev/kmem
    system image
/dev/mem
    system image

SEE ALSO
ps(1), kill(2V), signal(3V), mount(8)